package com.tanpu.community.web;

import com.tanpu.common.api.CommonResp;
import com.tanpu.common.util.JsonUtil;
import com.tanpu.community.api.CommunityApi;
import com.tanpu.community.api.beans.AlertReq;
import com.tanpu.community.service.CommunityService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

import java.util.LinkedList;
import java.util.List;

/**
 * created by xd on 2021/6/5
 */
@Slf4j
@RestController
public class CommunityController implements CommunityApi {


    @Autowired
    private CommunityService communityService;

    @Override
    public CommonResp<List<AlertReq>> weworkRobotAlert(AlertReq alertReq) {

        communityService.saveAlertInfo(JsonUtil.toJson(alertReq));

        return CommonResp.success(new LinkedList<>());
    }
}


